Upstream information

CVE-2017-7272 at MITRE

Description

PHP through 7.1.11 enables potential SSRF in applications that accept an fsockopen or pfsockopen hostname argument with an expectation that the port number is constrained. Because a :port syntax is recognized, fsockopen will use the port number that is specified in the hostname argument, instead of the port number in the second argument of the function.

SUSE information

Overall state of this security issue: Pending

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 5.8 5
Vector AV:N/AC:M/Au:N/C:P/I:P/A:N AV:N/AC:L/Au:N/C:N/I:N/A:P
Access Vector Network Network
Access Complexity Medium Low
Authentication None None
Confidentiality Impact Partial None
Integrity Impact Partial None
Availability Impact None Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.4 5.4
Vector CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:C/C:N/I:H/A:N CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:C/C:L/I:L/A:N
Attack Vector Network Network
Attack Complexity Low High
Privileges Required None None
User Interaction Required None
Scope Changed Changed
Confidentiality Impact None Low
Integrity Impact High Low
Availability Impact None None
CVSSv3 Version 3 3.1
SUSE Bugzilla entries: 1031246 [RESOLVED / FIXED], 1044976 [RESOLVED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 11 SP4
SUSE Linux Enterprise Software Development Kit 11 SP4
  • php53-devel >= 5.3.17-111.2
  • php53-imap >= 5.3.17-111.2
  • php53-posix >= 5.3.17-111.2
  • php53-readline >= 5.3.17-111.2
  • php53-sockets >= 5.3.17-111.2
  • php53-sqlite >= 5.3.17-111.2
  • php53-tidy >= 5.3.17-111.2
Patchnames:
sdksp4-php53-13151
sdksp4-php53-13179
SUSE Linux Enterprise Desktop 12 SP3
SUSE Linux Enterprise Server 12 SP3
SUSE Linux Enterprise Server for SAP Applications 12 SP3
SUSE Linux Enterprise Software Development Kit 12 SP3
  • php5-devel >= 5.5.14-108.1
  • php7-devel >= 7.0.7-49.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA php5-devel-5.5.14-108.1
SUSE Linux Enterprise Software Development Kit 12 SP3 GA php7-devel-7.0.7-49.1
SUSE Linux Enterprise Desktop 12 SP4
SUSE Linux Enterprise Server 12 SP4
SUSE Linux Enterprise Server for SAP Applications 12 SP4
SUSE Linux Enterprise Software Development Kit 12 SP4
  • php5-devel >= 5.5.14-109.41.1
  • php7-devel >= 7.0.7-50.52.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP4 GA php5-devel-5.5.14-109.41.1
SUSE Linux Enterprise Software Development Kit 12 SP4 GA php7-devel-7.0.7-50.52.1
SUSE Linux Enterprise Server 11 SP4
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • apache2-mod_php53 >= 5.3.17-111.2
  • php53 >= 5.3.17-111.2
  • php53-bcmath >= 5.3.17-111.2
  • php53-bz2 >= 5.3.17-111.2
  • php53-calendar >= 5.3.17-111.2
  • php53-ctype >= 5.3.17-111.2
  • php53-curl >= 5.3.17-111.2
  • php53-dba >= 5.3.17-111.2
  • php53-devel >= 5.3.17-111.2
  • php53-dom >= 5.3.17-111.2
  • php53-exif >= 5.3.17-111.2
  • php53-fastcgi >= 5.3.17-111.2
  • php53-fileinfo >= 5.3.17-111.2
  • php53-ftp >= 5.3.17-111.2
  • php53-gd >= 5.3.17-111.2
  • php53-gettext >= 5.3.17-111.2
  • php53-gmp >= 5.3.17-111.2
  • php53-iconv >= 5.3.17-111.2
  • php53-imap >= 5.3.17-111.2
  • php53-intl >= 5.3.17-111.2
  • php53-json >= 5.3.17-111.2
  • php53-ldap >= 5.3.17-111.2
  • php53-mbstring >= 5.3.17-111.2
  • php53-mcrypt >= 5.3.17-111.2
  • php53-mysql >= 5.3.17-111.2
  • php53-odbc >= 5.3.17-111.2
  • php53-openssl >= 5.3.17-111.2
  • php53-pcntl >= 5.3.17-111.2
  • php53-pdo >= 5.3.17-111.2
  • php53-pear >= 5.3.17-111.2
  • php53-pgsql >= 5.3.17-111.2
  • php53-posix >= 5.3.17-111.2
  • php53-pspell >= 5.3.17-111.2
  • php53-readline >= 5.3.17-111.2
  • php53-shmop >= 5.3.17-111.2
  • php53-snmp >= 5.3.17-111.2
  • php53-soap >= 5.3.17-111.2
  • php53-sockets >= 5.3.17-111.2
  • php53-sqlite >= 5.3.17-111.2
  • php53-suhosin >= 5.3.17-111.2
  • php53-sysvmsg >= 5.3.17-111.2
  • php53-sysvsem >= 5.3.17-111.2
  • php53-sysvshm >= 5.3.17-111.2
  • php53-tidy >= 5.3.17-111.2
  • php53-tokenizer >= 5.3.17-111.2
  • php53-wddx >= 5.3.17-111.2
  • php53-xmlreader >= 5.3.17-111.2
  • php53-xmlrpc >= 5.3.17-111.2
  • php53-xmlwriter >= 5.3.17-111.2
  • php53-xsl >= 5.3.17-111.2
  • php53-zip >= 5.3.17-111.2
  • php53-zlib >= 5.3.17-111.2
Patchnames:
sdksp4-php53-13151
sdksp4-php53-13179
slessp4-php53-13151
slessp4-php53-13179
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
SUSE Linux Enterprise Software Development Kit 12 SP5
  • php7-devel >= 7.0.7-50.85.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP5 GA php7-devel-7.0.7-50.85.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7 php7 Not affected
SUSE Enterprise Storage 7.1 php7 Not affected
SUSE Linux Enterprise High Performance Computing 12 php5 Affected
SUSE Linux Enterprise High Performance Computing 12 php7 Affected
SUSE Linux Enterprise High Performance Computing 12 php72 Affected
SUSE Linux Enterprise High Performance Computing 12 php74 Affected
SUSE Linux Enterprise High Performance Computing 15 SP4 php7 Not affected
SUSE Linux Enterprise Module for Legacy 15 SP4 php7 Not affected
SUSE Linux Enterprise Module for Web and Scripting 12 php5 Affected
SUSE Linux Enterprise Module for Web and Scripting 12 php7 Affected
SUSE Linux Enterprise Module for Web and Scripting 12 php72 Affected
SUSE Linux Enterprise Module for Web and Scripting 12 php74 Affected
SUSE Linux Enterprise Server 12 SP5 php5 Affected
SUSE Linux Enterprise Server 12 SP5 php7 Affected
SUSE Linux Enterprise Server 12 SP5 php72 Affected
SUSE Linux Enterprise Server 12 SP5 php74 Affected
SUSE Linux Enterprise Server 15 SP4 php7 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 php5 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 php7 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 php72 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 php74 Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 php7 Not affected
SUSE Linux Enterprise Software Development Kit 12 SP5 php7 Affected
SUSE Linux Enterprise Software Development Kit 12 SP5 php72 Affected
SUSE Linux Enterprise Software Development Kit 12 SP5 php74 Affected
SUSE Manager Proxy 4.2 php7 Not affected
SUSE Manager Proxy 4.3 php7 Not affected
SUSE Manager Retail Branch Server 4.2 php7 Not affected
SUSE Manager Retail Branch Server 4.3 php7 Not affected
SUSE Manager Server 4.2 php7 Not affected
SUSE Manager Server 4.3 php7 Not affected
SUSE Package Hub 15 SP4 php7 Not affected
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise High Performance Computing 15 php7 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 php7 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS php7 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS php7 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 php7 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS php7 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS php7 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 php7 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS php7 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS php7 Not affected
SUSE Linux Enterprise High Performance Computing 15-ESPOS php7 Not affected
SUSE Linux Enterprise High Performance Computing 15-LTSS php7 Not affected
SUSE Linux Enterprise Module for Web and Scripting 15 SP1 php7 Not affected
SUSE Linux Enterprise Module for Web and Scripting 15 SP2 php7 Not affected
SUSE Linux Enterprise Module for Web and Scripting 15 SP3 php7 Not affected
SUSE Linux Enterprise Server 12 SP4 php5 Affected
SUSE Linux Enterprise Server 12 SP4 php7 Affected
SUSE Linux Enterprise Server 12 SP4 php72 Affected
SUSE Linux Enterprise Server 12 SP4 php74 Affected
SUSE Linux Enterprise Server 15 SP1 php7 Not affected
SUSE Linux Enterprise Server 15 SP1-LTSS php7 Not affected
SUSE Linux Enterprise Server 15 SP2 php7 Not affected
SUSE Linux Enterprise Server 15 SP2-LTSS php7 Not affected
SUSE Linux Enterprise Server 15 SP3 php7 Not affected
SUSE Linux Enterprise Server 15 SP3-LTSS php7 Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 php7 Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 php7 Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP3 php7 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 php5 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 php7 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 php72 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 php74 Affected
SUSE Linux Enterprise Server for SAP Applications 15 php7 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 php7 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 php7 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 php7 Not affected
Products past their end of life and not receiving proactive updates anymore.
SUSE CaaS Platform 4.0 php7 Not affected
SUSE CaaS Platform 4.5 php7 Not affected
SUSE Enterprise Storage 6 php7 Not affected
SUSE Linux Enterprise Desktop 11 SP4 php53 Released
SUSE Linux Enterprise Desktop 12 php5 Affected
SUSE Linux Enterprise Desktop 12 php7 Affected
SUSE Linux Enterprise Desktop 12 SP1 php5 Affected
SUSE Linux Enterprise Desktop 12 SP1 php7 Affected
SUSE Linux Enterprise Desktop 12 SP2 php5 Affected
SUSE Linux Enterprise Desktop 12 SP2 php7 Affected
SUSE Linux Enterprise Desktop 12 SP3 php5 Affected
SUSE Linux Enterprise Desktop 12 SP3 php7 Affected
SUSE Linux Enterprise Desktop 12 SP3 php72 Affected
SUSE Linux Enterprise Desktop 12 SP4 php5 Affected
SUSE Linux Enterprise Desktop 12 SP4 php7 Affected
SUSE Linux Enterprise Desktop 12 SP4 php72 Affected
SUSE Linux Enterprise Desktop 12 SP4 php74 Affected
SUSE Linux Enterprise Desktop 15 php7 Not affected
SUSE Linux Enterprise Desktop 15 SP1 php7 Not affected
SUSE Linux Enterprise Desktop 15 SP2 php7 Not affected
SUSE Linux Enterprise Desktop 15 SP3 php7 Not affected
SUSE Linux Enterprise Module for Package Hub 15 php7 Not affected
SUSE Linux Enterprise Module for Package Hub 15 SP1 php7 Not affected
SUSE Linux Enterprise Module for Package Hub 15 SP2 php7 Not affected
SUSE Linux Enterprise Module for Package Hub 15 SP3 php7 Not affected
SUSE Linux Enterprise Module for Web and Scripting 15 php7 Not affected
SUSE Linux Enterprise Point of Service 11 SP3 php53 Released
SUSE Linux Enterprise Server 11 SP1 php5 Unsupported
SUSE Linux Enterprise Server 11 SP3 php53 Unsupported
SUSE Linux Enterprise Server 11 SP3-LTSS php53 Affected
SUSE Linux Enterprise Server 11 SP4 php53 Released
SUSE Linux Enterprise Server 11 SP4 LTSS php53 Released
SUSE Linux Enterprise Server 11 SP4-LTSS php53 Unsupported
SUSE Linux Enterprise Server 12 php5 Affected
SUSE Linux Enterprise Server 12 php7 Affected
SUSE Linux Enterprise Server 12 php72 Affected
SUSE Linux Enterprise Server 12 php74 Affected
SUSE Linux Enterprise Server 12 SP1 php5 Affected
SUSE Linux Enterprise Server 12 SP1 php7 Affected
SUSE Linux Enterprise Server 12 SP2 php5 Affected
SUSE Linux Enterprise Server 12 SP2 php7 Affected
SUSE Linux Enterprise Server 12 SP3 php5 Affected
SUSE Linux Enterprise Server 12 SP3 php7 Affected
SUSE Linux Enterprise Server 12 SP3 php72 Affected
SUSE Linux Enterprise Server 12 SP3 php74 Affected
SUSE Linux Enterprise Server 15 php7 Not affected
SUSE Linux Enterprise Server 15 SP1-BCL php7 Not affected
SUSE Linux Enterprise Server 15 SP2-BCL php7 Not affected
SUSE Linux Enterprise Server 15 SP3-BCL php7 Not affected
SUSE Linux Enterprise Server 15-LTSS php7 Not affected
SUSE Linux Enterprise Server for SAP Applications 11 SP4 php53 Released
SUSE Linux Enterprise Server for SAP Applications 12 php5 Affected
SUSE Linux Enterprise Server for SAP Applications 12 php7 Affected
SUSE Linux Enterprise Server for SAP Applications 12 php72 Affected
SUSE Linux Enterprise Server for SAP Applications 12 php74 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP1 php5 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP1 php7 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 php5 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 php7 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 php5 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 php7 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 php72 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 php74 Affected
SUSE Linux Enterprise Software Development Kit 11 SP4 php53 Released
SUSE Linux Enterprise Software Development Kit 12 php5 Affected
SUSE Linux Enterprise Software Development Kit 12 php7 Affected
SUSE Linux Enterprise Software Development Kit 12 SP1 php5 Affected
SUSE Linux Enterprise Software Development Kit 12 SP1 php7 Affected
SUSE Linux Enterprise Software Development Kit 12 SP2 php5 Affected
SUSE Linux Enterprise Software Development Kit 12 SP2 php7 Affected
SUSE Linux Enterprise Software Development Kit 12 SP3 php5 Affected
SUSE Linux Enterprise Software Development Kit 12 SP3 php7 Affected
SUSE Linux Enterprise Software Development Kit 12 SP3 php72 Affected
SUSE Linux Enterprise Software Development Kit 12 SP4 php5 Affected
SUSE Linux Enterprise Software Development Kit 12 SP4 php7 Affected
SUSE Linux Enterprise Software Development Kit 12 SP4 php72 Affected
SUSE Linux Enterprise Software Development Kit 12 SP4 php74 Affected
SUSE Manager Proxy 4.0 php7 Not affected
SUSE Manager Proxy 4.1 php7 Not affected
SUSE Manager Retail Branch Server 4.0 php7 Not affected
SUSE Manager Retail Branch Server 4.1 php7 Not affected
SUSE Manager Server 4.0 php7 Not affected
SUSE Manager Server 4.1 php7 Not affected
SUSE Package Hub 15 php7 Unsupported
SUSE Package Hub 15 SP1 php7 Unsupported
SUSE Package Hub 15 SP3 php7 Not affected


SUSE Timeline for this CVE

CVE page created: Mon Mar 27 21:16:15 2017
CVE page last modified: Fri Jan 20 13:30:51 2023